Subject: bash won't hand off to tcsh
From: [email-masked] (JP Shipherd)

4 Mar 1997 01:49:41 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

Hi,

  I've got lots of csh shell scripts.  To my joy today I found a copy of
tcsh.exe which I put in /bin.  (I even copied it to csh.exe at one point).

  However if I run a script like setfoo:

#!/bin/csh -f
setenv foo FooIsSet
echo $foo
exit(0)

  from a bash shell, bash insists on trying to interpret the script itself
instead of handing it off to the command interpreter I'm specifying on the
first line.  As you might imagine it doesn't deal with setenv too well.

  (The script runs fine if I exec tcsh first and then run it).

  Am I missing something simple?

  Does bash not allow other shells to muscle in on it's turf?

Thanks for any help.  I don't relish rewriting over 200 scripts.

--jp
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".